valorant-api-types
Version:
A collection of documented endpoints and return types for the unofficial Valorant API
82 lines (81 loc) • 2.77 kB
TypeScript
import { z } from 'zod';
export declare const friendsEndpoint: {
readonly name: "Friends";
readonly description: "Get a list of friends";
readonly category: "Local Endpoints";
readonly type: "local";
readonly suffix: "chat/v4/friends";
readonly riotRequirements: {
readonly localAuth: true;
};
readonly responses: {
readonly '200': z.ZodObject<{
friends: z.ZodArray<z.ZodObject<{
activePlatform: z.ZodNullable<z.ZodString>;
displayGroup: z.ZodString;
game_name: z.ZodString;
game_tag: z.ZodString;
group: z.ZodString;
last_online_ts: z.ZodNullable<z.ZodEffects<z.ZodNumber, Date, number>>;
name: z.ZodString;
note: z.ZodString;
pid: z.ZodString;
puuid: z.ZodString;
region: z.ZodString;
}, "strip", z.ZodTypeAny, {
game_name: string;
game_tag: string;
name: string;
pid: string;
puuid: string;
region: string;
activePlatform: string | null;
displayGroup: string;
group: string;
last_online_ts: Date | null;
note: string;
}, {
game_name: string;
game_tag: string;
name: string;
pid: string;
puuid: string;
region: string;
activePlatform: string | null;
displayGroup: string;
group: string;
last_online_ts: number | null;
note: string;
}>, "many">;
}, "strip", z.ZodTypeAny, {
friends: {
game_name: string;
game_tag: string;
name: string;
pid: string;
puuid: string;
region: string;
activePlatform: string | null;
displayGroup: string;
group: string;
last_online_ts: Date | null;
note: string;
}[];
}, {
friends: {
game_name: string;
game_tag: string;
name: string;
pid: string;
puuid: string;
region: string;
activePlatform: string | null;
displayGroup: string;
group: string;
last_online_ts: number | null;
note: string;
}[];
}>;
};
};
export type FriendsResponse = z.input<typeof friendsEndpoint.responses['200']>;